"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.validateConfig = validateConfig;
function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function validateConfig(config) {
  if (_typeof(config) !== 'object') {
    return 'missing';
  } else if (!Array.isArray(config.locales) || config.locales.some(function (value) {
    return typeof value !== 'string';
  })) {
    return 'invalid-locales';
  } else if (typeof config.defaultLocale !== 'string') {
    return 'invalid-default-locale';
  } else if (typeof config.getMessages !== 'function') {
    return 'invalid-get-messages';
  } else if (!!config.getFormats && typeof config.getFormats !== 'function') {
    return 'invalid-get-formats';
  } else if (!!config.defaultRichTextElements && _typeof(config.defaultRichTextElements) !== 'object') {
    return 'invalid-rich-text-elements';
  }
  return null;
}